<?php

use auctionforge\inc\helpers\View;
use auctionforge\inc\model\Lot;

class LinkPages
{
    /**
     * @param $atts
     * @return false|string
     */
    public function lot_pages_shortcode($atts ) {
        /**
         * @var $title string
         * @var $lots array
         */
        extract($atts);

        return View::render('templates.shortcodes.lots', array(
            'title' => $title,
            'lots' => $lots
        ));
    }

    public function init() {
        add_shortcode('bp_lot_pages', array($this, 'lot_pages_shortcode'));
    }
}